Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc
Interface EncryptionMethod

All Superinterfaces:
  AlgorithmMethod, XMLStructure

    public interface EncryptionMethod

extends AlgorithmMethod, XMLStructure

A representation of the XML `EncryptionMethod` element as defined in the W3C Recommendation for XML-Encryption Syntax and Processing. The XML Schema Definition is defined as:

          <complexType name="EncryptionMethodType" mixed="true">
             <sequence>
               <element name="KeySize" minOccurs="0" type="xenc:KeySizeType"/>
               <element name="OAEPparams" minOccurs="0" type="base64Binary"/>
               <any namespace="##any" minOccurs="0" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="Algorithm" type="anyURI" use="required"/>
            </complexType>

See Also:
  `XMLEncryptionFactory.newEncryptionMethod(String, Integer, EncryptionMethodParameterSpec)`

Field Summary
`static java.lang.String` | `AES128_CBC` AES-128 Block Encryption Algorithm URI.
`static java.lang.String` | `AES192_CBC` AES-192 Block Encryption Algorithm URI.
`static java.lang.String` | `AES256_CBC` AES-256 Block Encryption Algorithm URI.
`static java.lang.String` | `KW_AES128` AES-128 Symmetric Key Wrap Algorithm URI.
`static java.lang.String` | `KW_AES192` AES-192 Symmetric Key Wrap Algorithm URI.
`static java.lang.String` | `KW_AES256` AES-256 Symmetric Key Wrap Algorithm URI.
`static java.lang.String` | `KW_TRIPLEDES` TRIPLEDES Symmetric Key Wrap Algorithm URI.
`static java.lang.String` | `RSA_1_5` RSA-PKCS1 Version 1.5 Key Transport Algorithm URI.
`static java.lang.String` | `RSA_OAEP_MGF1P` RSA-PKCS1 OAEP Key Transport Algorithm URI.
`static java.lang.String` | `TRIPLEDES_CBC` TRIPLEDES Block Encryption Algorithm URI.

Method Summary
`java.lang.Integer` | `getKeySize()` Returns the size of the key to be used with this `EncryptionMethod`.
`java.security.spec.AlgorithmParameterSpec` | `getParameterSpec()` Returns algorithm-specific parameters for this `EncryptionMethod`.

Methods inherited from interface javax.xml.crypto.AlgorithmMethod
`getAlgorithm`

Methods inherited from interface javax.xml.crypto.XMLStructure
`isFeatureSupported`

Field Detail

### TRIPLEDES_CBC

    static final java.lang.String TRIPLEDES_CBC

  TRIPLEDES Block Encryption Algorithm URI.

  See Also:
    Constant Field Values

### AES128_CBC

    static final java.lang.String AES128_CBC

  AES-128 Block Encryption Algorithm URI.

  See Also:
    Constant Field Values

### AES192_CBC

    static final java.lang.String AES192_CBC

  AES-192 Block Encryption Algorithm URI.

  See Also:
    Constant Field Values

### AES256_CBC

    static final java.lang.String AES256_CBC

  AES-256 Block Encryption Algorithm URI.

  See Also:
    Constant Field Values

### RSA_1_5

    static final java.lang.String RSA_1_5

  RSA-PKCS1 Version 1.5 Key Transport Algorithm URI.

  See Also:
    Constant Field Values

### RSA_OAEP_MGF1P

    static final java.lang.String RSA_OAEP_MGF1P

  RSA-PKCS1 OAEP Key Transport Algorithm URI.

  See Also:
    Constant Field Values

### KW_TRIPLEDES

    static final java.lang.String KW_TRIPLEDES

  TRIPLEDES Symmetric Key Wrap Algorithm URI.

  See Also:
    Constant Field Values

### KW_AES128

    static final java.lang.String KW_AES128

  AES-128 Symmetric Key Wrap Algorithm URI.

  See Also:
    Constant Field Values

### KW_AES192

    static final java.lang.String KW_AES192

  AES-192 Symmetric Key Wrap Algorithm URI.

  See Also:
    Constant Field Values

### KW_AES256

    static final java.lang.String KW_AES256

  AES-256 Symmetric Key Wrap Algorithm URI.

  See Also:
    Constant Field Values

Method Detail

### getKeySize

    java.lang.Integer getKeySize()

  Returns the size of the key to be used with this `EncryptionMethod`.

  Returns:
    the key size, or `null` if not specified

### getParameterSpec

    java.security.spec.AlgorithmParameterSpec getParameterSpec()

  Returns algorithm-specific parameters for this `EncryptionMethod`. The returned parameters can be typecast to a `EncryptionMethodParameterSpec` object.

  Specified by:
    `getParameterSpec` in interface `AlgorithmMethod`
  Returns:
    the algorithm-specific input parameters of this `EncryptionMethod`. (may be `null` if not specified)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org